app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', 'PageController@index')->name('index');

Route::get('/register', 'PageController@register')->name('register');
Route::get('/login', 'PageController@login')->name('login');
Route::get('/logout', 'UserController@logout')->name('logout');
Route::post('/login', 'UserController@authenticate')->name('login-post');
Route::post('/users', 'UserController@store')->name('register-submit');


Route::get('/get-started', 'PageController@getStarted')->name('get-started');
Route::get('/webmail', 'PageController@webmail')->name('web-mail');



Route::group(['middleware' => ['auth']], function() {

	Route::get('/project/{id}/professional/{pro_id}/rating/{rating}','ProjectsController@rating')->name('project-rating');

	Route::get('/dashboard', 'PageController@dashboard')->name('dashboard');

	Route::get('/services', 'PageController@services')->name('services');

	Route::get('/tutor', 'PageController@tutorForm')->name('tutor-form');	
	Route::post('/tutor', 'PageController@tutorSubmit')->name('tutor-submit');

	Route::get('/development', 'PageController@developmentPicker')->name('development-picker');	
	Route::get('/development-form/{type}', 'PageController@developmentForm')->name('development-form');
	Route::post('/development', 'PageController@formSubmit')->name('development-submit');

	Route::get('/creatives', 'PageController@creativesPicker')->name('creatives-picker');	
	Route::get('/creatives-form/{type}', 'PageController@creativesForm')->name('creatives-form');
	Route::post('/creatives', 'PageController@formSubmit')->name('creatives-submit');

	Route::get('/writing', 'PageController@writingPicker')->name('writing-picker');	
	Route::get('/writing-form/{type}', 'PageController@writingForm')->name('writing-form');
	Route::post('/writing', 'PageController@formSubmit')->name('writing-submit');

	Route::get('/paper', 'PageController@paperPicker')->name('paper-picker');	
	Route::get('/paper-form/{type}', 'PageController@paperForm')->name('paper-form');
	Route::post('/paper', 'PageController@formSubmit')->name('paper-submit');

	Route::get('/profile','UserController@profile')->name('profile');
	Route::post('/profile-update','UserController@profileUpdate')->name('profile-update');
	Route::get('/user-project/{id}','UserController@userProject')->name('user-project');
	Route::get('/user-projects','UserController@userProjects')->name('user-projects');

	Route::get('/user-tutorials/{id}','UserController@userTutorial')->name('user-tutorial');
	Route::get('/user-tutorials','UserController@userTutorials')->name('user-tutorials');

	Route::get('/print', 'PageController@printForm')->name('print-form');	
	Route::post('/print', 'PageController@printSubmit')->name('print-submit');


	Route::group(['middleware' => 'permission:is_allow_skills'], function() {
		Route::resource('skills', 'SkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_professionals'], function() {
		Route::resource('professionals', 'ProfessionalsController');
		Route::resource('professionals.skills','ProfessionalSkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_clients'], function() {
		Route::resource('clients', 'ClientController');
		// Route::resource('professionals.skills','ProfessionalSkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_projects'], function() {
		Route::resource('projects', 'ProjectsController');

		Route::get('project/{project_id}/pro-delete/{id}','ProjectProfessionalsController@deletePro')->name('projects.professionals.delete');

		Route::resource('projects.professionals','ProjectProfessionalsController');

		Route::get('project/{project_id}/milestone-delete/{id}','ProjectMilestonesController@deleteMilestone')->name('projects.milestones.delete');
		Route::get('project/{project_id}/milestone-done/{id}','ProjectMilestonesController@doneMilestone')->name('projects.milestones.done');

		Route::resource('projects.milestones','ProjectMilestonesController');
	});




// 		//changepassword
// 		Route::get('/editprofile','AdminController@editprofile')->name('admin.show.profile');
// 		Route::post('/updateprofile','AdminController@updateProfile')->name('admin.update.profile');
// 		Route::get('/changepassword','AdminController@showChangePassword')->name('admin.show.change.password');
// 		Route::post('/changepassword','AdminController@updatePassword')->name('admin.update.password');
// 		Route::get('/help','SettingsController@help')->name('esaklolo.help.help');

// 		Route::group(['middleware' => 'permission:is_allow_roles'], function() {
// 			Route::resource('roles', 'RolesController');
// 			Route::get('roles/{id}/old_privilege', 'RolesController@oldPrivilege')->name('roles-privilege');
// 			Route::get('roles/{id}/privilege', 'RolesController@privilege')->name('roles-privilege');
// 			Route::post('roles/{id}/update/{x}', 'RolesController@updatePrivilege')->name('roles-update-privilege');
// 			Route::get('role-delete/{id}', 'RolesController@destroy')->name('roles-delete');
// 			// Route::post('/role/update','RolesController@webroleupdate')->name('esaklolo.web_user.update');
			
// 		});
	Route::group(['middleware' => 'permission:is_allow_settings'], function() {
		Route::resource('settings', 'SettingsController');
	});
});

resources/views/template/app.blade.php
<!doctype html>
<html lang="en">
  <head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="description" content="">
	<meta name="author" content="">
	<link rel="icon" href="../../../../favicon.ico">

	<title>{{ Session::get('software_name') }}</title>

	<!-- Bootstrap core CSS -->
	<link href="{{ URL::asset('css/bootstrap-material-design.min.css') }}" rel="stylesheet">
	<script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>    
	<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.16/dist/summernote-bs4.min.css" rel="stylesheet">
	<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.16/dist/summernote-bs4.min.js"></script>



	<!-- Custom styles for this template -->
	<!-- <link href="dashboard.css" rel="stylesheet"> -->
  </head>

  <body>
	<nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
	  <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="{{ route('dashboard') }}">{{ Session::get('company_name') }}</a>
	  
	  <ul class="navbar-nav px-3">
		<li class="nav-item text-nowrap">
		  <a class="nav-link" href="{{ route('logout') }}">Sign out</a>
		</li>
	  </ul>
	</nav>

	<div class="container-fluid" style="min-height: 100vh">
	  <div class="row">
		<nav class="col-md-2 d-none d-md-block bg-light sidebar" style=" min-height: calc(100vh - 50px);">
		  <div class="sidebar-sticky">
			<ul class="nav flex-column">
				<li class="nav-item">
					<a class="nav-link active" href="{{ route('dashboard') }}">
					<span data-feather="home"></span>
					Dashboard <span class="sr-only">(current)</span>
					</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ route('projects.index') }}">
					<span data-feather="folder"></span>
					Projects
					</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ route('clients.index') }}">
					<span data-feather="users"></span>
					Clients
					</a>
				</li>

				<li class="nav-item">
					<a class="nav-link" href="{{ route('professionals.index') }}">
					<span data-feather="award"></span>
					Professionals
					</a>
				</li>

			<!--   <li class="nav-item">
				<a class="nav-link" href="#">
				  <span data-feather="shopping-cart"></span>
				  Products
				</a>
			  </li>
			 
			  <li class="nav-item">
				<a class="nav-link" href="#">
				  <span data-feather="bar-chart-2"></span>
				  Reports
				</a>
			  </li>
			  <li class="nav-item">
				<a class="nav-link" href="#">
				  <span data-feather="layers"></span>
				  Integrations
				</a>
			  </li> -->
			</ul>

			<h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
			  <span>Settings</span>
			 <!--  <a class="d-flex align-items-center text-muted" href="#">
				<span data-feather="plus-circle"></span>
			  </a> -->
			</h6>
			<ul class="nav flex-column mb-2">
			 <!--  <li class="nav-item">
				<a class="nav-link" href="#">
				  <span data-feather="file-text"></span>
					Application
				</a>
			  </li>	 -->		
			  <li class="nav-item">
				<a class="nav-link" href="{{ route('settings.edit',[1]) }}">
				  <span data-feather="file-text"></span>
					Settings
				</a>
			  </li>
			  <li class="nav-item">
				<a class="nav-link" href="{{ route('skills.index') }}">
				  <span data-feather="file-text"></span>
					Skills
				</a>
			  </li>
			  <li class="nav-item">
				<a class="nav-link" href="{{ route('logout') }}">
				  <span data-feather="file-text"></span>
					Logout
				</a>
			  </li>
			</ul>
		  </div>
		</nav>

		@yield('content')
		
	  </div>
	</div>

	<!-- Bootstrap core JavaScript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	
	<!-- <script>window.jQuery || document.write('<script src="../../../../assets/js/vendor/jquery-slim.min.js"><\/script>')</script>
	<script src="../../../../assets/js/vendor/popper.min.js"></script>
	<script src="../../../../dist/js/bootstrap.min.js"></script> -->

	<!-- Icons -->
	<script src="https://unpkg.com/feather-icons/dist/feather.min.js"></script>
	<script>
	  feather.replace()
	</script>

	<!-- Graphs -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.min.js"></script>
	<script>
	  var ctx = document.getElementById("myChart");
	  var myChart = new Chart(ctx, {
		type: 'line',
		data: {
		  labels: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"],
		  datasets: [{
			data: [15339, 21345, 18483, 24003, 23489, 24092, 12034],
			lineTension: 0,
			backgroundColor: 'transparent',
			borderColor: '#007bff',
			borderWidth: 4,
			pointBackgroundColor: '#007bff'
		  }]
		},
		options: {
		  scales: {
			yAxes: [{
			  ticks: {
				beginAtZero: false
			  }
			}]
		  },
		  legend: {
			display: false,
		  }
		}
	  });
	</script>
  </body>
</html>

resources/views/template/rush.blade.php
<!DOCTYPE html>
<html>
	<head>
		<title>mAI mentor</title>
		<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
		<link href="https://fonts.googleapis.com/css?family=Lato:100" rel="stylesheet" type="text/css">
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons">        
		<link href="{{ URL::asset('fontawesome/css/all.css') }}" rel="stylesheet">
		<link href="{{ URL::asset('css/bootstrap-material-design.min.css') }}" rel="stylesheet">
		<link href="{{ URL::asset('css/style.css') }}" rel="stylesheet">
	</head>
	<body>

<!-- NAV START -->
	<nav class="site-header sticky-top py-1">
	  <div class="row flex-nowrap  align-items-center">
		  <div class="col-4 pt-1">
			<a class="navbar-brand" href="{{ URL::route('index')}}">
				<img src="{{ URL::asset('images/logo_colored.png') }}" width="30" height="30" alt="">
				<span style="color:#ff0000">mAI mentor</span>
			</a>
		  </div>
		  <div class="col-4 pt-1">
		  </div>
		  <div class="col-4 d-flex justify-content-end">
		  	@if(Auth::check())
		  		<span class="px-2 py-1"><p>Hi! {{ Auth::user()->first_name}}</p></span>
		  		<a href="{{ route('profile')}}"><button type="button" class="btn btn-danger">View My Profile</button></a>
				<a href="{{ route('logout') }}"><button type="button" class="btn btn-outline-danger">Logout</button></a>
		  	@else
		  		<a href="{{ route('login')}}"><button type="button" class="btn btn-danger">Login</button></a>
				<a href="{{ route('register') }}"><button type="button" class="btn btn-outline-danger">Sign-up</button></a>
		  	@endif
			
		  </div>
		</div>
	</nav>
<!-- NAV END -->
	

	@yield('content')


	<footer class="footer">
	  <div class="row px-5 py-4">
		<div class="col-6 col-md">
		<!--   <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="d-block mb-2"><circle cx="12" cy="12" r="10"></circle><line x1="14.31" y1="8" x2="20.05" y2="17.94"></line><line x1="9.69" y1="8" x2="21.17" y2="8"></line><line x1="7.38" y1="12" x2="13.12" y2="2.06"></line><line x1="9.69" y1="16" x2="3.95" y2="6.06"></line><line x1="14.31" y1="16" x2="2.83" y2="16"></line><line x1="16.62" y1="12" x2="10.88" y2="21.94"></line></svg>
		  <small class="d-block mb-3 text-muted">&copy; 2017-2018</small>
 -->		
		 <h5 class="footer-grey">mAI mentor</h5>
		  <ul class="list-unstyled text-small">
			<li><a class="text-muted" href="#">About</a></li>
			<li><a class="text-muted" href="#">Terms of Service</a></li>
			<li><a class="text-muted" href="#">Contact Us</a></li>
			<li><a class="text-muted" href="#">Another one</a></li>
			<li><a class="text-muted" href="#">Last time</a></li>
		  </ul>
		</div>
		<div class="col-6 col-md">
		  <h5 class="footer-grey">Services</h5>
		  <ul class="list-unstyled text-small">
			<li><a class="text-muted" href="#">Development</a></li>
			<li><a class="text-muted" href="#">Design</a></li>
			<li><a class="text-muted" href="#">Writing</a></li>
			<li><a class="text-muted" href="#">Database</a></li>
			<li><a class="text-muted" href="#">Networking</a></li>
			<li><a class="text-muted" href="#">Projects</a></li>
		  </ul>
		</div>
		<div class="col-6 col-md">
		  <h5 class="footer-grey">Our Partners</h5>
		  <ul class="list-unstyled text-small">
			<li><a class="text-muted" href="#">Copytrade</a></li>
			<li><a class="text-muted" href="#">TNC</a></li>
			<li><a class="text-muted" href="#">Aguora IT Solutions</a></li>
		  </ul>
		</div>
		<div class="col-6 col-md">
	<!-- 	  <h5>Resources</h5>
		  <ul class="list-unstyled text-small">
			<li><a class="text-muted" href="#">Business</a></li>
			<li><a class="text-muted" href="#">Education</a></li>
			<li><a class="text-muted" href="#">Government</a></li>
			<li><a class="text-muted" href="#">Gaming</a></li>
		  </ul> -->
		</div>
		<div class="col-6 col-md my-2">
			<img src="{{ URL::asset('images/logo_black.png') }}" style="width: 100px;height: 100px;">
			<small class="d-block mb-3 text-muted">&copy; mAI mentor 2017-2018</small>
		</div>
	  </div>
	</footer>


	<!-- Bootstrap core JavaScript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="{{ URL::asset('js/jquery-3.3.1.js') }}"></script>
	<script src="{{ URL::asset('js/pooper.js') }}"></script>
	<script src="{{ URL::asset('js/bootstrap-material-design.js')}}"></script>

	<script type="text/javascript">
		@if(Session::has('flash_message'))
			Swal.fire({
			  title: 'Success!',
			  text: '{{Session::get('flash_message')}}',
			  type: 'success',
			  confirmButtonText: 'Ok'
			})
		@endif
	</script>
 
  </body>

</html>